package llc.arma.ble.app.framework

import android.app.Application
import dagger.hilt.android.HiltAndroidApp

@HiltAndroidApp()
class App : Application() {

    /**
     *Без этого apache poi на android не заводится
     *@link https://github.com/centic9/poi-on-android
     */
    override fun onCreate() {
        super.onCreate()

        System.setProperty("org.apache.poi.javax.xml.stream.XMLInputFactory", "com.fasterxml.aalto.stax.InputFactoryImpl");
        System.setProperty("org.apache.poi.javax.xml.stream.XMLOutputFactory", "com.fasterxml.aalto.stax.OutputFactoryImpl");
        System.setProperty("org.apache.poi.javax.xml.stream.XMLEventFactory", "com.fasterxml.aalto.stax.EventFactoryImpl");

    }

}